@echo off

if "%1"=="" goto noparam
set dfslog=%1
goto endparam
:noparam
set dfslog=dfsquick
:endparam

del %dfslog%.log > NUL 2>&1
echo.
echo Quick collecting info into %dfslog%.log
dfs -7 -a -b -q log %dfslog%#fdisk#map * +#part $*#part ++a#q
echo.
echo done
